<mat-card *ngIf="roomInfo" class="room-actual-round">
  <mat-card-title translate>gameRoom.actualRound</mat-card-title>
  <mat-card-content>

    <mat-card-subtitle translate>gameRoom.rules</mat-card-subtitle>
    <mat-divider></mat-divider>

    <mat-list *ngIf="isGameMaster; else readonlyRules">
      <mat-list-item>
        <span class="label" translate>gameRoom.dices</span>
        <span class="value">
          <button type="button" class="dice" (click)="toggleDice(dice)"
            [ngClass]="{'dice--selected': selectedDices[dice]}" *ngFor="let dice of roomInfo.dices">
            <span>{{dice}}</span>
          </button>
        </span>
      </mat-list-item>
      <mat-divider></mat-divider>
      <mat-list-item>
        <span class="label" translate>gameRoom.players</span>
        <span class="value">
          <button type="button" *ngFor="let player of roomInfo.players" (click)="togglePlayer(player)"
            [ngClass]="{'player--selected': selectedPlayers[player.username]}" class="player"
            mat-button>{{player.nickname}}</button>
        </span>
      </mat-list-item>
    </mat-list>

    <ng-template #readonlyRules>

      <mat-list *ngIf="roomInfo.rules?.dices">
        <mat-list-item>
          <span class="label" translate>gameRoom.rules.dices</span>
          <span class="value">
            <span class="dice" *ngFor="let dice of roomInfo.rules.dices">{{dice}}</span>
          </span>
        </mat-list-item>
        <mat-divider></mat-divider>
        <mat-list-item>
          <span class="label" translate>gameRoom.rules.players</span>
          <span class="value">
            <span class="player" *ngFor="let player of roomInfo.rules.players">{{player.nickname}}</span>
          </span>
        </mat-list-item>
      </mat-list>
    </ng-template>

  </mat-card-content>

</mat-card>